This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 748551 - Grubby Ignores grub.cfg Submenu Entries on Kernel Update
Grubby Ignores grub.cfg Submenu Entries on Kernel Update
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-24 15:27 EDT by Tim Flink
Modified: 2013-02-13 16:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:10:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Grub.cfg after kernel update (18.28 KB, text/plain)
2011-10-24 15:29 EDT, Tim Flink
no flags Details
freshly generated grub.cfg before kernel update (18.88 KB, text/plain)
2011-10-24 15:30 EDT, Tim Flink
no flags Details

  None (edit)
Description Tim Flink 2011-10-24 15:27:51 EDT
Description of problem:

When I update the kernel on my F16 machine w/ Xen Dom0, grubby ignores all of the Xen related submenu entries.

The consequence of this is that none of the Xen menus get updated to contain the new kernel and my default is changed from "Xen 4.1.1" to "0" since that was the only entry that was updated

Version-Release number of selected component (if applicable):
grubby-8.3-1.fc16

How reproducible:
Every time

Steps to Reproduce:
1. Install Xen Dom0
2. set GRUB_DEFAULT="Xen 4.1.1" in /etc/defaults/grub
3. update kernel
  
Actual results:
Only entries that are not inside a menu are updated with the new kernel version and the default boot option is no longer using Xen

Expected results:
All menus are updated with new submenu entries for the newly installed kernel and the default is not changed

Additional info:
Comment 1 Tim Flink 2011-10-24 15:29:01 EDT
Created attachment 529954 [details]
Grub.cfg after kernel update
Comment 2 Tim Flink 2011-10-24 15:30:13 EDT
Created attachment 529955 [details]
freshly generated grub.cfg before kernel update
Comment 3 Mads Kiilerich 2011-10-24 19:31:51 EDT
This was first seen on Bug 744717


(In reply to comment #0)

> Steps to Reproduce:
> 1. Install Xen Dom0
> 2. set GRUB_DEFAULT="Xen 4.1.1" in /etc/defaults/grub

2½. grub2-mkconfig -o /boot/grub2/grub.cfg

> 3. update kernel
Comment 4 Mads Kiilerich 2011-10-27 09:26:10 EDT
With the patch on Bug 744717 grub.cfg will remain well-formed.

I doubt it is feasible to teach grubby how to patch submenus "correctly".
Comment 5 Fedora End Of Life 2013-01-16 11:57:31 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 16:10:45 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.